<?php
// Version: 2.5 Beta 2; ArcadeList

function template_arcade_list()
{
	global $scripturl, $txt, $context, $settings, $user_info, $modSettings;

	$arcade_buttons = array(
		'random' => array(
			'text' => 'arcade_random_game',
			'image' => 'arcade_random.gif', // Theres no image for this included (yet)
			'url' => $scripturl . '?action=arcade;sa=play;random',
			'lang' => true
		),
		'favorites' => array(
			'text' => 'arcade_favorites_only',
			'image' => 'arcade_favorites.gif',
			'url' => $scripturl . '?action=arcade;favorites',
			'lang' => true
		),
	);


		$arcade_buttons['search'] = array(
			'text' => 'arcade_show_all',
			'image' => 'arcade_search.gif',
			'url' => $scripturl . '?action=arcade;category=all'
		);

if(isset($_REQUEST['leaderboard'])){

	loadTemplate('Leaderboard');
	call_user_func('leaderList');

}else{


	// Header for Game listing
	echo '
		<div id="arcadebuttons_top" class="modbuttons clearfix margintop">
			<div class="floatleft middletext">', $txt['pages'], ': ', $context['page_index'], !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . '&nbsp;&nbsp;<a href="#bot"><b>' . $txt['go_down'] . '</b></a>' : '', '</div>
			', template_button_strip($arcade_buttons, 'bottom'), '
		</div>';



echo '
	<table width=100% border="0" cellpadding="5" class="tborder">
		  <tr>';

if (!$context['arcade']['games']) {
echo'
<td class="titlebg2" align="center" width="100%">
', $txt['arcade_no_games'], '
</td>';
}else{
echo'
<td colspan="4" class="catbg"><b>', $txt['arcade_game_list'] ,'</b>';

if(isset($_REQUEST['sortby']))
echo '
 > '.$txt[$_REQUEST['sortby']];


echo '</td>';
}

//vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
//$loop = 4 - ($context['arcade']['total'] % 4);
$lines = 0;
$code = '';




		foreach ($context['arcade']['games'] as $game)
		{

			// Show personal best and champion
$game['personal_best'] ? $your_best = $txt['your_score'].$game['personal_best'] : $your_best=$txt['your_score'].$txt['not_applicable'];

$game['champion']['member_link'] == $txt['guest'] && empty($game['champion']['score']) ? $game['champion']['member_link'] = '' : '';


$game['champion']['member_link'] ? $champ = sprintf($txt['champ'], $game['champion']['member_link']) : $champ = sprintf($txt['champ'], $txt['not_applicable']);

$game['champion']['score'] ? $champ_score = $txt['champ_scoring'].$game['champion']['score'] : $champ_score = $txt['champ_scoring'].$txt['not_applicable'];

(empty($game['description'])) ? $game['description'] = $txt['no_description'] : '';

$game['description'] = stripslashes($game['description']);

$fav = '';
if ($context['arcade']['can_favorite']){
$fav = '
<a href="'. $game['url']['favorite']. '" onclick="arcade_favorite('. $game['id'] . '); return false;">';

if (!$game['is_favorite'])
$fav .= '<img border=1 id="favgame' . $game['id'] . '" src="' . $settings['images_url'] . '/favorite.gif" alt="' . $txt['arcade_add_favorites'] . '" />'. '</a>';
else
$fav .= '<img id="favgame' . $game['id'] . '" src="' . $settings['images_url'] . '/favorite2.gif" alt="' . $txt['arcade_remove_favorite'] .'" />'. '</a>';
}



$rate = '';
if ($game['rating2'] > 0){
$rate = str_repeat('<img src="' . $settings['images_url'] . '/star.gif" alt="*" />' , $game['rating2']);
$rate .= str_repeat('<img src="' . $settings['images_url'] . '/star2.gif" alt="" />' , 5 - $game['rating2']);
}else{
$rate = str_repeat('<img src="' . $settings['images_url'] . '/star2.gif" alt="" />' , 5);
}

$game['height'] = $game['height'] + 20;
$pop = '<a href="javascript:popup(\''.$game['url']['play'].';pop=1'.'\',\''.$game['width'].'\',\''.$game['height'].'\')" onclick="onclick_event()">Play In Popup</a>';

$lines++;
if ($lines == 5) $lines = 1;
$lines == 1 ? $open = '<tr><td width="25%" valign=middle class="windowbg">' : $open = '<td width="25%" valign="middle" class="windowbg">';
$lines == 4 ? $close = '</td></tr>' : $close = '</td>';

$code .= <<<EOF
{$open}
<div class="titlebg2" style="height: 18px">
<div style="float: left; padding-top: 2px" ><a href="{$game['url']['play']}" title="{$txt['alt_play']}" onclick="onclick_event()"> {$game['name']}</a></div>
<div style="float: right; padding-top: 1px" >{$fav} </div>
</div>


<div style="float: left; vertical-align: middle; text-align: left; margin: 6px 3px 0px 0px">
<a href="{$game['url']['play']}" onclick="onclick_event()">
<img class="imgBorder" width="40" height="40" src="{$game['thumbnail']}" alt="{$txt['alt_play']}" title="{$txt['alt_play']}"/></a><br />

</div>
<div class="smalltext" style="height:55px; margin: 4px 0px 5px 0px;padding-left: 3px; overflow: auto">{$game['description']}</div>

<div class="windowbg3" style="height: 2px; margin-bottom: 3px"></div>

<ul class="normallist li smalltext">
  <li>{$champ}</li>
  <li>{$champ_score}</li>
  <li>{$your_best}</li>
  <li>{$pop}</li>
  <li><a href="{$game['url']['highscore']}" onclick="onclick_event()">{$txt['arcade_viewscore']}</a></li>
  <li>{$txt['num_plays']}{$game['plays']}</li>
  <li style="margin-top: 2px">{$rate}</li>
</ul>

{$close}
EOF;
}

if ($lines > 0 && $lines < 4){
$loop = 4-$lines;
for ($j=1; $j <= $loop; $j++){
$code .= <<<EOF
<td class="windowbg" width="25%">
&nbsp;
</td>
EOF;
}
}

echo $code;

echo'
</tr></table>';
//^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^



	echo '	<div id="arcadebuttons_bottom" class="modbuttons clearfix marginbottom">
			<div class="floatleft middletext">', $txt['pages'], ': ', $context['page_index'], !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . '&nbsp;&nbsp;<a href="#top"><b>' . $txt['go_up'] . '</b></a>' : '', '</div>
', template_button_strip($arcade_buttons, 'top'), '
		</div>';

}


	if (!empty($modSettings['arcadeShowInfoCenter']))
	{
		echo '
		<div id="infocenterframe" class="tborder clearfix">

			<div class="infocenter_section">
				<h4 class="headerpadding catbg">', $txt['arcade_users'], '</h4>
				<div class="windowbg">

					<div class="windowbg2 sectionbody middletext">
						', implode(', ', $context['arcade_viewing']), '
					</div>
				</div>
			</div>
		</div>';
	}
}


?>